import {
  Store,
} from 'redux';

import Action from '@overflow/commons/redux/Action';

export abstract class Service {
  private store: Store<any>;

  protected dispatch(action: Action<any>): void {
    this.store.dispatch(action);
  }

  public setStore(store: Store<any>): void {
    this.store = store;
  }
}

export default Service;
